import "whatwg-fetch";
export declare class Wishlist {
    private context;
    private type;
    private myId;
    private activeId;
    private active;
    private shop;
    private wishlistKey;
    private cookies;
    private isCustomerLoggedIn;
    constructor();
    init: (context: any, data: any, match: any) => void;
    requestURL: (url: string) => string;
    getID: () => string;
    getActiveID: () => string;
    getType: () => string;
    getURL: () => string;
    checkActive: () => boolean;
    getWishlist: () => any;
    getWishlistJSON: () => void;
    toggleItem: (productId: number, variantId: number) => void;
    checkItem: (productId: number, variantId: number) => boolean;
    addItem: (productId: number, variantId: number) => void;
    removeItem: (productId: number, variantId: number) => void;
    updateItem: (productId: number, variantId: number, newVariantId: number) => Promise<void>;
    share: (type: string) => Promise<any>;
    duplicate: () => Promise<any>;
    migrate: (newId: string) => Promise<any>;
}
export declare namespace Wishlist { }
